> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Providers

> Retrieve a list of the providers Terminal supports. This endpoint will grow to include additional details about the supported capabilities of each provider.



## OpenAPI

````yaml GET /providers
openapi: 3.1.0
info:
  title: Terminal Telematics API
  description: >-
    Terminal is a unified API that makes it easy to integrate with the leading
    telematics service providers.
  version: '0.0'
  contact:
    name: Terminal
    email: connect@withterminal.com
    url: https://www.withterminal.com
servers:
  - url: https://api.withterminal.com/tsp/v1
    description: Production
  - url: https://api.sandbox.withterminal.com/tsp/v1
    description: Sandbox
security:
  - Authorization: []
tags:
  - name: Authentication
  - name: Connections
  - name: Data Management
  - name: Drivers
  - name: Groups
  - name: Hours of Service
  - name: IFTA
  - name: Issues
  - name: Link
  - name: Providers
  - name: Safety
  - name: Trailers
  - name: Vehicles
  - name: Vehicle Utilization
  - name: Webhook Events
paths:
  /providers:
    parameters: []
    get:
      tags:
        - Providers
      summary: List Providers
      description: >-
        Retrieve a list of the providers Terminal supports. This endpoint will
        grow to include additional details about the supported capabilities of
        each provider.
      operationId: listProviders
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  title: Provider
                  type: object
                  properties:
                    name:
                      type: string
                      example: Geotab
                    code:
                      title: Provider Code
                      type: string
                      example: geotab
                      description: >-
                        Every provider has a unique code to identify it across
                        Terminal's system. You can find each provider's code
                        under [provider details](/providers).
                    baseCode:
                      type: string
                      example: geotab
                      description: >-
                        The base provider code that this provider is built on.
                        Only visible to authenticated users. Used to identify
                        providers that share the same underlying technology
                        platform.
                    status:
                      title: ProviderStatus
                      type: string
                      enum:
                        - live
                        - beta
                        - sandbox
                        - deprecated
                      description: The status of the provider.
                    logo:
                      type: string
                      format: uri
                      example: https://cdn.withterminal.com/providers/geotab/logo.png
                    icon:
                      type: string
                      format: uri
                      example: https://cdn.withterminal.com/providers/geotab/icon.png
                    references:
                      type: array
                      description: >-
                        Additional reference links for the provider (e.g., login
                        pages)
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - login-page
                              - developer-docs
                            description: The type of reference
                          url:
                            type: string
                            description: The URL of the reference
                          label:
                            type: string
                            description: The display label for the reference
                        required:
                          - type
                          - url
                          - label
                    supportedModels:
                      title: ProviderModelSupport
                      type: object
                      properties:
                        Group:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        Vehicle:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        Driver:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        LatestVehicleLocation:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        VehicleLocation:
                          allOf:
                            - title: ModelSupportedOperations
                              description: >-
                                Common structure for model support status
                                containing the supported operations.
                              type: object
                              required:
                                - supportedOperations
                              properties:
                                supportedOperations:
                                  type: object
                                  required:
                                    - read
                                  properties:
                                    read:
                                      type: string
                                      description: >-
                                        Enum values:

                                        - `supported`: Terminal supports this
                                        resource

                                        - `not_supported_by_terminal`: Terminal
                                        does not support this resource

                                        - `not_supported_by_provider`: The
                                        provider does not support this resource
                                      enum:
                                        - supported
                                        - not_supported_by_terminal
                                        - not_supported_by_provider
                            - type: object
                              required:
                                - sampleRate
                              properties:
                                sampleRate:
                                  type: string
                                  description: >-
                                    How frequently is data captured by the
                                    vehicle
                                  example: 30 seconds
                                availableHistory:
                                  type: string
                                  example: 1 year
                                  description: >-
                                    How much history is available to backfill.
                                    No history is available if undefined.
                        VehicleStatLog:
                          allOf:
                            - title: ModelSupportedOperations
                              description: >-
                                Common structure for model support status
                                containing the supported operations.
                              type: object
                              required:
                                - supportedOperations
                              properties:
                                supportedOperations:
                                  type: object
                                  required:
                                    - read
                                  properties:
                                    read:
                                      type: string
                                      description: >-
                                        Enum values:

                                        - `supported`: Terminal supports this
                                        resource

                                        - `not_supported_by_terminal`: Terminal
                                        does not support this resource

                                        - `not_supported_by_provider`: The
                                        provider does not support this resource
                                      enum:
                                        - supported
                                        - not_supported_by_terminal
                                        - not_supported_by_provider
                            - type: object
                              required:
                                - types
                              properties:
                                types:
                                  type: array
                                  description: >-
                                    The types of vehicle stat logs that are
                                    supported by this provider.
                                  example:
                                    - odometer
                                    - engine_state
                                    - fuel_level
                                    - engine_runtime
                                  items:
                                    title: VehicleStatLogType
                                    type: string
                                    enum:
                                      - engine_state
                                      - odometer
                                      - total_fuel_consumption
                                      - fuel_level
                                      - engine_runtime
                                      - engine_oil_percentage
                                      - engine_oil_pressure
                                      - engine_oil_temperature
                                      - engine_coolant_temperature
                                      - coolant_percentage
                                      - engine_rpm
                                      - battery_voltage
                        Trailer:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        LatestTrailerLocation:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        Trip:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        Device:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        HOSLog:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        HOSDailyLog:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        HOSAvailableTime:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        IFTASummary:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        SafetyEvent:
                          allOf:
                            - title: ModelSupportedOperations
                              description: >-
                                Common structure for model support status
                                containing the supported operations.
                              type: object
                              required:
                                - supportedOperations
                              properties:
                                supportedOperations:
                                  type: object
                                  required:
                                    - read
                                  properties:
                                    read:
                                      type: string
                                      description: >-
                                        Enum values:

                                        - `supported`: Terminal supports this
                                        resource

                                        - `not_supported_by_terminal`: Terminal
                                        does not support this resource

                                        - `not_supported_by_provider`: The
                                        provider does not support this resource
                                      enum:
                                        - supported
                                        - not_supported_by_terminal
                                        - not_supported_by_provider
                            - type: object
                              required:
                                - types
                              properties:
                                types:
                                  type: array
                                  description: >-
                                    The types of safety events that are
                                    supported by this provider.
                                  example:
                                    - speeding
                                    - harsh_brake
                                    - harsh_acceleration
                                    - harsh_turn
                                    - crash
                                  items:
                                    title: SafetyEventType
                                    type: string
                                    enum:
                                      - harsh_brake
                                      - harsh_acceleration
                                      - harsh_turn
                                      - speeding
                                      - crash
                                      - near_crash
                                      - tailgating
                                      - cell_phone
                                      - distracted
                                      - drowsiness
                                      - smoking
                                      - seat_belt_violation
                                      - stop_sign_violation
                                      - red_light_violation
                                      - unsafe_lane_change
                                      - camera_obstruction
                                      - eating_and_drinking
                                      - rolling_stop
                                      - unsafe_parking
                        CameraMedia:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        FaultCodeEvent:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                        VehicleUtilization:
                          title: ModelSupportedOperations
                          description: >-
                            Common structure for model support status containing
                            the supported operations.
                          type: object
                          required:
                            - supportedOperations
                          properties:
                            supportedOperations:
                              type: object
                              required:
                                - read
                              properties:
                                read:
                                  type: string
                                  description: >-
                                    Enum values:

                                    - `supported`: Terminal supports this
                                    resource

                                    - `not_supported_by_terminal`: Terminal does
                                    not support this resource

                                    - `not_supported_by_provider`: The provider
                                    does not support this resource
                                  enum:
                                    - supported
                                    - not_supported_by_terminal
                                    - not_supported_by_provider
                      required:
                        - Group
                        - Vehicle
                        - Driver
                        - VehicleLocation
                        - LatestVehicleLocation
                        - VehicleStatLog
                        - Trailer
                        - LatestTrailerLocation
                        - Trip
                        - Device
                        - HOSLog
                        - HOSDailyLog
                        - HOSAvailableTime
                        - IFTASummary
                        - SafetyEvent
                        - CameraMedia
                        - FaultCodeEvent
                        - VehicleUtilization
                  required:
                    - code
                    - name
                    - status
                    - logo
                    - icon
                    - supportedModels
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - bad_request
                  message:
                    type: string
                    example: Invalid request body
                  detail:
                    type: array
                    items:
                      title: ErrorPathDetail
                      type: object
                      properties:
                        message:
                          type: string
                          example: '''vehicleId'' property must be a valid ulid'
                        path:
                          type: string
                          example: '{requestQuery}.vehicleId'
                        suggestion:
                          type: string
                          example: >-
                            Please ensure you submit a valid 'vehicleId'
                            property
                        context:
                          type: object
                      required:
                        - message
                        - path
                required:
                  - code
                  - message
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - unauthorized
                  message:
                    type: string
                    example: Unauthorized Request
                  detail:
                    type: string
                    example: Please ensure you have a valid API key
                required:
                  - code
                  - message
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - forbidden
                  message:
                    type: string
                    example: Forbidden Request
                  detail:
                    type: string
                    example: >-
                      Please ensure the connection token matches the resource
                      you are attempting to access.
                required:
                  - code
                  - message
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  code:
                    enum:
                      - too_many_requests
                  retryAfter:
                    description: The number of seconds to wait before retrying the request
                    type: integer
                    example: 60
                  message:
                    type: string
                    example: Too Many Requests
                  detail:
                    type: string
                    example: You have exceeded your rate limit. Please try again later.
                required:
                  - code
                  - message
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - internal_server_error
                  message:
                    type: string
                    example: Internal Server Error
                  detail:
                    type: string
                    example: Something went wrong
                required:
                  - code
                  - message
        '504':
          description: Gateway Timeout Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - gateway_timeout
                  message:
                    type: string
                    example: Gateway Timeout
                required:
                  - code
                  - message
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````